Loading...
Searching...
No Matches
bno08x_config_t Struct Reference

IMU configuration settings passed into constructor. More...

`#include <BNO08x_global_types.hpp>`

## Public Member Functions

| bno08x_config_t (bool install_isr_service=true)
| Default IMU configuration settings constructor. To modify default GPIO pins, run "idf.py menuconfig" esp32_BNO08x->GPIO Configuration. Alternatively, edit the default values in "Kconfig.projbuild".
| bno08x_config_t (spi_host_device_t spi_peripheral, gpio_num_t io_mosi, gpio_num_t io_miso, gpio_num_t io_sclk, gpio_num_t io_cs, gpio_num_t io_int, gpio_num_t io_rst, gpio_num_t io_wake, uint32_t sclk_speed, bool install_isr_service=true)
| Overloaded IMU configuration settings constructor for custom pin settings.

## Public Attributes

spi_host_device_t | spi_peripheral
| SPI peripheral to be used.
gpio_num_t | io_mosi
| MOSI GPIO pin (connects to BNO08x DI pin)
gpio_num_t | io_miso
| MISO GPIO pin (connects to BNO08x SDA pin)
gpio_num_t | io_sclk
| SCLK pin (connects to BNO08x SCL pin)
gpio_num_t | io_cs
gpio_num_t | io_int
| Chip select pin (connects to BNO08x CS pin)
gpio_num_t | io_rst
| Host interrupt pin (connects to BNO08x INT pin)
gpio_num_t | io_wake
| Reset pin (connects to BNO08x RST pin)
uint32_t | sclk_speed
| Desired SPI SCLK speed in Hz (max 3MHz)
bool | install_isr_service
| Indicates whether the ISR service for the HINT should be installed at IMU initialization, (if gpio_install_isr_service() is called before initialize() set this to false)

## Detailed Description

IMU configuration settings passed into constructor.

## Constructor & Destructor Documentation

## bno08x_config_t() [1/2]

bno08x_config_t::bno08x_config_t | ( | bool | install_isr_service = true | ) |

inline

Default IMU configuration settings constructor. To modify default GPIO pins, run "idf.py menuconfig" esp32_BNO08x->GPIO Configuration. Alternatively, edit the default values in "Kconfig.projbuild".

## bno08x_config_t() [2/2]

bno08x_config_t::bno08x_config_t | ( | spi_host_device_t | spi_peripheral,
|  | gpio_num_t | io_mosi,
|  | gpio_num_t | io_miso,
|  | gpio_num_t | io_sclk,
|  | gpio_num_t | io_cs,
|  | gpio_num_t | io_int,
|  | gpio_num_t | io_rst,
|  | gpio_num_t | io_wake,
|  | uint32_t | sclk_speed,
|  | bool | install_isr_service = true )

inline

Overloaded IMU configuration settings constructor for custom pin settings.

## Member Data Documentation

## install_isr_service

bool bno08x_config_t::install_isr_service

Indicates whether the ISR service for the HINT should be installed at IMU initialization, (if gpio_install_isr_service() is called before initialize() set this to false)

## io_cs

gpio_num_t bno08x_config_t::io_cs

## io_int

gpio_num_t bno08x_config_t::io_int

Chip select pin (connects to BNO08x CS pin)

## io_miso

gpio_num_t bno08x_config_t::io_miso

MISO GPIO pin (connects to BNO08x SDA pin)

## io_mosi

gpio_num_t bno08x_config_t::io_mosi

MOSI GPIO pin (connects to BNO08x DI pin)

## io_rst

gpio_num_t bno08x_config_t::io_rst

Host interrupt pin (connects to BNO08x INT pin)

## io_sclk

gpio_num_t bno08x_config_t::io_sclk

SCLK pin (connects to BNO08x SCL pin)

## io_wake

gpio_num_t bno08x_config_t::io_wake

Reset pin (connects to BNO08x RST pin)

Wake pin (optional, connects to BNO08x P0)

## sclk_speed

uint32_t bno08x_config_t::sclk_speed

Desired SPI SCLK speed in Hz (max 3MHz)

## spi_peripheral

spi_host_device_t bno08x_config_t::spi_peripheral

SPI peripheral to be used.

The documentation for this struct was generated from the following file:

- BNO08x_global_types.hpp